import { type RouteRecordRaw } from 'vue-router'
import Layout from '@/layout/index.vue'

export default [
  {
    path: '/order-manage-layout',
    name: 'OrderManage-Layout',
    meta: {
      rank: 1001,
      title: 'router_title_module.order_manage',
    },
    component: Layout,
    redirect: '/order-manage',
    children: [
      {
        path: '/order-manage',
        name: 'OrderManage',
        meta: {
          rank: 1001,
          title: 'router_title_module.order_manage',
        },
        component: () => import('@/views/order-manage/order-manage.vue'),
        redirect: '/order-manage/package',
        children: [
          {
            path: 'package',
            name: 'OrderManagePackage',
            meta: {
              rank: 1001,
              title: 'router_title_module.order_manage',
            },
            component: () => import('@/views/order-manage/components/package-manage.vue'),
          },
          {
            path: 'recharge',
            name: 'OrderManageRecharge',
            meta: {
              rank: 1001,
              title: 'router_title_module.order_manage',
            },
            component: () => import('@/views/order-manage/components/recharge-manage.vue'),
          },
        ],
      },
    ],
  },
] as RouteRecordRaw[]
